/* keydefsv.h */

/*
 * history
 * 26 apr 02: tom ehlert - creation
 */

#define NAME(x) x##_SV


#include <dos.h>
#include "mkeyb.h"

#define LANGUAGE "swedish"
#define STATUS   "first try"

/********************************************************
 * SWEDISH keyboard mappings				*
 ********************************************************/

/* keyboard image (by arkady)

Standard layout characters+scancodes:
ͻ
~29!02@03#04$05%06^07&08*09(0A)0B-0C=0DBacksp 0E
Ķ
Tab 0Fq10w11e12r13t14y15u16i17o18p19[1A]1B      
 < 
 Caps 3Aa1Es1Fd20f21g22h23j24k25l26;27'28Enter 1C
Ķ
 Shift 2A z2Cx2Dc2Ev2Fb30n31m32,33.34/35 Shift 36 
Ķ
 Ctrl 1D Alt 38\56    Spacebar 39    \2BAlt E38Ctrl E1D
ͼ
*/

uchar NAME(scancodetable)[] = {

 /* 2 */ PUNCT_ALTGR	 (0x03, '2', '"',	 '@') /*  3 2 #34  .  . @ */
 /* 3 */       ALTGR	 (0x04,			0x9C) /*  4 3 #35  .  .  */
 /* 4 */ PUNCT_ALTGR	 (0x05, '4',   0,	 '$') /*  5 4  .   .  . $ */
//* 5 */ PUNCT		 (0x06, '5', '%'	    ) /*  6 5  %   .  . . */
 /* 6 */ PUNCT_CTRL	 (0x07, '6', '&',0x1E	    ) /*  7 6  &  #30 . . */
 /* 7 */ PUNCT_ALTGR	 (0x08, '7', '/',	 '{') /*  8 7  /   .  . { */
 /* 8 */ PUNCT_CTRL_ALTGR(0x09, '8', '(',0x1B,	 '[') /*  9 8  (  #27 . [ */
 /* 9 */ PUNCT_CTRL_ALTGR(0x0A, '9', ')',0x1D,	 ']') /* 10 9  )  #29 . ] */
 /* 0 */ PUNCT_ALTGR	 (0x0B, '0', '=',	 '}') /* 11 0  =   .  . } */
 /* - */ PUNCT_ALTGR	 (0x0C, '+', '?',	'\\') /* 12 +  ?   .  . \ */
 /* = */ PUNCT		 (0x0D,'\'', '`'	    ) /* 13 '  `   .  . . */

 /* [ */ ALPHA		 (0x1A,0x86,0x8F	    ) /* 26C      .  . . */
 /* ] */ PUNCT_ALTGR	 (0x1B,0xFE, '^',	 '~') /* 27     ^  .  . ~ */
 /* ; */ ALPHA		 (0x27,0x94,0x99	    ) /* 39C      .  . . */
 /* ' */ ALPHA		 (0x28,0x84,0x8E	    ) /* 40C      .  . . */
 /* ~ */ PUNCT		 (0x29,0x15,0xAB	    ) /* 41  #21   .  . . */
 /* \ */ PUNCT		 (0x2B,'\'', '*'	    ) /* 43   '  *  .  . . */
 /* , */ PUNCT		 (0x33, ',', ';'	    ) /* 51   ,  ;  .  . . */
 /* . */ PUNCT		 (0x34, '.', ':'	    ) /* 52   .  :  .  . . */
 /* / */ PUNCT_CTRL	 (0x35, '-', '_',0x1F	    ) /* 53   -  _ #31 . . */
 /*   */ PUNCT_CTRL_ALTGR(0x56, '<', '>',0x1C,	 '|') /* 86   <  > #28 . | */

 /* E */ ALTGR           (0x12, EURO)          // Added by Snoopy81

	 0
};

#define DECIMALDINGSBUMS ','

struct KeyboardDefinition NAME(Keyboard) = {
	"SV",                                          //char LanguageShort[4];			// "GR",                    
	"SWEDISH - swedish Keyboard, keine combi's (by tom)",  //char *Description;				// created by, "with combis"
	DRIVER_FUNCTION_NORMAL,                        //char DriverFunctionRequired;                                  
	NAME(scancodetable),                           //char *ScancodeTable;                                          
#ifdef COMBI
	{	NAME(combi1table),NAME(combi2table),NAME(combi3table),
		NAME(combi4table),NAME(combi5table),NAME(combi6table) },
#else
	{ 0 },
#endif			
	',',                                           //char DezimalDingsbums;                                        
	0,                                             //char DefaultLayoutUS;			// TRUE for russian             
	} ;
